Bug 854489 - PRD32 - webadmin: Add a new Disks tab under the Storage tab in the UI
PRD32 - webadmin: Add a new Disks tab under the Storage tab in the UI
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: 3.2.0
Assigned To: Daniel Erez
Dafna Ron
storage
: FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-05 03:25 EDT by Dafna Ron
Modified: 2013-08-19 00:03 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Release Note
Doc Text:
A new Disks tab has been added under the Storage resource tab. This tab lists the disks associated with each storage domain, and simplifies disk management operations such as storage domain detachment.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:09:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-09-05 03:25:36 EDT
Description of problem:

My setup has a large number of vm's and floating disks. 
I was trying to detach one of the domains and got an error that there are objects under the domain and it cannot be detached. 
since non of my vm's appear under the storage I had to go through each disk and see if it resides under the storage I was trying to detach. 
it would help to add a disks sub tab under the domain's main tab which would allow the user to easily find the disks they want to remove. 

Version-Release number of selected component (if applicable):

si16

How reproducible:

100%

Steps to Reproduce:
1. create a large setup with lots of disks and vm's with multiple domains
2. put a domain in maintenance and try to remove the domain (you have objects so you will fail)
3. try to find which disks are on the domain
  
Actual results:

we need to go through each disk to find which one is located in the domain we are trying to detach

Expected results:

we should add a disk's sub tab under the storage main tab

Additional info:
Comment 1 Daniel Erez 2012-12-27 02:09:08 EST
patch sent:
http://gerrit.ovirt.org/#/c/10322/
Change-Id: I445de65ffacc9a6a77f6a350feba46da2d3f3e42
Comment 2 Dafna Ron 2013-01-07 11:28:57 EST
verified on sf3
we have a disks tab under the domains main tab
Comment 4 errata-xmlrpc 2013-06-10 17:09:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.